/***************************************************************
# Tags
***************************************************************/

:root {
    --primary: #3D9BE9;
    --black: #0F0F0F;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    font-family: 'Merriweather', serif;
    line-height: 1.4;
    color: var(--black);
}


h1,
h2,
h3,
h4,
h5,
p,
ul,
ol {
    margin: 1rem 0;
}

h1,
h2,
h3,
h4,
h5 {
    color: var(--primary);
}

h1 {
    font-size: clamp(2rem, 10vw, 4rem);
}

h2 {
    font-size: clamp(1.5rem, 6vw, 3rem);
}

p {
    font-size: clamp(1rem, 2vw, 1.25rem);
    line-height: 1.6;
}

img {
    max-width: 100%;
    height: auto;
}

pre {
    background: gainsboro;
    color: var(--black);
    margin: 1rem 0;
    padding: 1rem;
}

/***************************************************************
# Common
***************************************************************/

/* Structure */

.wrapper {
    overflow: hidden;
}

.container {
    padding-left: 5%;
    padding-right: 5%;
    margin-left: auto;
    margin-right: auto;
}

.container--sm {
    max-width: 52rem;
}

.container--md {
    max-width: 68rem;
}

.container--lg {
    max-width: 78rem;
}

.container--xl {
    max-width: 100rem;
}

.section--margin {
    margin-top: 10%;
    margin-bottom: 10%;
}

.section--padding {
    padding-top: 10%;
    padding-bottom: 10%;
    background: rgba(0, 0, 0, 0.05);
}

@media(min-width: 48rem) {

    .container {
        padding-left: 3rem;
        padding-right: 3rem;
    }


    .section--padding {
        padding-top: 6rem;
        padding-bottom: 6rem;
    }

    .section--margin {
        margin-top: 6rem;
        margin-bottom: 6rem;
    }

}


/* Images */

.image-wrapper {
    position: relative;
    padding-top: 100%;
}

.image-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.image-wrapper--border::after {
    display: block;
    content: "";
    border: 2px solid white;
    top: 1rem;
    left: 1rem;
    position: absolute;
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    z-index: 1;
}


/* Slant */

.has-slant {
    position: relative;
    padding-top: 15%;
    padding-bottom: 15%;
}

.slant {
    position: absolute;
    left: 0;
    width: 100%;
    height: auto;
}

.slant--top {
    top: 0%;
}

.slant--bottom {
    bottom: 0%;
    transform: rotate(180deg);
}


/* Jarallax */

.jarallax {
    position: relative;
    z-index: 0;
}

.jarallax>.jarallax-img {
    position: absolute;
    object-fit: cover;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}


/* Buttons */

.button {
    display: block;
    width: 100%;
    border: none;
    font-family: inherit;
    padding: 1em 2em;
    text-align: center;
    font-weight: bold;
    background: var(--black);
    color: white;
    border-radius: .25em;
    cursor: pointer;
}


.button--outline {
    background: none;
    border: 2px solid var(--primary);
    color: var(--primary);
    border-radius: 0;
}

@media(min-width: 32rem) {

    .button {
        display: inline-block;
        width: initial;
    }

}


/* Typography */

.text--large {
    font-size: clamp(1.5rem, 5vw, 2rem);
}


/***************************************************************
# Inputs
***************************************************************/

input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="number"],
input[type="tel"],
input[type="range"],
input[type="date"],
input[type="month"],
input[type="week"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="color"],
textarea {
    display: block;
    width: 100%;
    font-family: inherit;
    border: none;
    padding: 1em 1.5em;
    border-radius: .25rem;
    color: var(--black);
}

/***************************************************************
# Hero
***************************************************************/

/* Common */

.hero {
    background: var(--primary);
    color: white;
    position: relative;
    z-index: 1;
    text-align: center;
    padding-top: 10rem;
    padding-bottom: 10rem;
}


/* Tagline */

.hero__tagline {
    text-transform: uppercase;
    letter-spacing: 0.25em;
    list-style-type: none;
    margin: 2rem 0 10%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1rem;
    line-height: 2;
}


/* Backgrund */

.hero__background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    opacity: 0.2;
    filter: grayscale(1);
    mix-blend-mode: multiply;
}


/* Arrows */

.hero__arrows {
    animation-name: bob;
    animation-duration: 1s;
    animation-direction: alternate;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}

@keyframes bob {
    from {
        transform: translateY(0%);
    }

    to {
        transform: translateY(30%);
    }
}


/* Responsive */

@media(min-width: 48rem) {

    .hero__tagline {}

    .hero__tagline li {
        display: inline-block;
    }

    .hero__tagline li+li::before {
        content: "/";
        display: inline-block;
        margin: 0 1rem;
    }

}



/***************************************************************
# Story
***************************************************************/

.story {
    position: relative;
    z-index: 0;
}

.story__image {
    position: absolute;
    top: 100%;
    transform: translateY(-50%) rotate(-45deg);
    left: 50%;
    width: 50%;
    padding-top: 50%;
    opacity: .1;
}

.story__container {
    max-width: 46rem;
}



/***************************************************************
# Get to know us
***************************************************************/

.get-to-know-us {
    position: relative;
    z-index: 1;
}

.get-to-know-us .image-wrapper {
    padding-top: 75%;
}

@media(min-width: 72rem) {

    .get-to-know-us .image-wrapper {
        padding-top: 110%;
    }

    .get-to-know-us__row {
        display: flex;
        align-items: center;
        gap: 3rem;
    }

    .get-to-know-us__col {
        width: 50%;
    }

}


/***************************************************************
# Services
***************************************************************/

.services {
    text-align: center;
}

.services__col--image {
    display: none;
}

.services__col--image .image-wrapper {
    min-height: 100%;
}

.services__item {
    position: relative;
    padding: 10%;
    text-align: center;
    margin: 1rem 0;
    background: white;
    height: 100%;
}

.services__icon {
    display: block;
    margin: 1rem auto;
}

.services__tagline {
    text-transform: uppercase;
    color: var(--black);
    letter-spacing: 0.2em;
    font-size: clamp(0.75rem, 2vw, 1rem);
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
}


.services__item::after {
    display: block;
    content: "";
    border: 2px solid var(--primary);
    top: 1rem;
    left: 1rem;
    position: absolute;
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    z-index: 1;
    box-sizing: border-box;
}

.services__item--primary {
    background: var(--primary);
    color: white;
}

.services__item--primary h1,
.services__item--primary h2,
.services__item--primary h3,
.services__item--primary h4,
.services__item--primary h5 {
    color: inherit;
}

.services__item--primary .services__tagline {
    color: inherit;
}


.services__item--primary::after {
    border-color: white;
}

/* Responsive */

@media(min-width: 56rem) {

    .services__item {
        margin: 0;
    }

    .services__row {
        display: flex;
        gap: 2rem;
        margin-top: 4rem;
    }

    .services__col {
        width: 50%;
    }

}

@media(min-width: 76rem) {

    .services__container {
        max-width: none;
        padding: 0;
    }

    .services__col--image {
        display: block;
        width: 25%;
    }
}



/***************************************************************
# Portfolio
***************************************************************/


.portfolio {
    text-align: center;
}

.portfolio__swiper-button {
    width: 100%;
    margin: 1rem 0;
}

.portfolio__swiper-pagination {
    margin: 2rem 0;
    display: flex;
    gap: 1rem;
}

.portfolio__swiper-pagination .swiper-pagination-bullet {
    flex: 1;
    border-radius: 0;
    height: 0.75em;
}

.portfolio__swiper-slide {
    border: 2px solid var(--primary);
    text-align: left;
    background: white;
}


.portfolio__row {
    display: flex;
    flex-flow: column-reverse;
    gap: 0rem;
}

.portfolio__col {}

.portfolio__text {
    padding: 5%;
}

.portfolio__text p {
    font-size: 1rem;
}

.portfolio__features {}

.portfolio__features-item {
    margin: 1rem 0;
}

.portfolio__features-title {
    color: var(--primary);
    font-size: 1.25rem;
    margin-bottom: 0.25em;
    display: none;
}

.portfolio__features-description {
    display: none;
    background: whitesmoke;
    font-size: 0.875rem;
    padding: 1em;
    border-left: 0.2rem solid var(--primary);
}

/* Gallery */

.portfolio__gallery {
    position: relative;
    width: 100%;
    height: 24rem;
}

.portfolio__gallery .swiper,
.portfolio__gallery .swiper-wrapper,
.portfolio__gallery .swiper-slide {
    height: 100%;
}

.portfolio__gallery img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery-swiper::after {
    display: block;
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5rem;
    background: rgb(0,0,0);
    background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
    z-index: 1;
    opacity: .5;
}

.gallery-swiper__button-container {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    z-index: 2;
}

.gallery-swiper__button {
    width: 2rem;
    height: 2rem;
    border: 2px solid white;
    display: inline-block;
    cursor: pointer;
    margin-left: 0.5rem;
    position: relative;
}

.gallery-swiper__button svg {
    fill: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

@media(min-width: 48rem) {


    .portfolio__swiper-button {
        width: 12em;
    }

}

@media(min-width: 64rem) {

    .portfolio__row {
        flex-flow: row;
        gap: 2rem;
        min-height: 30rem;
    }

    .portfolio__col:nth-child(1) {
        flex: 1;
    }
    .portfolio__col:nth-child(2) {
        width: 50%;
    }

    .portfolio__gallery {
        height: 100%;
    }

    .portfolio__features {
        grid-template-columns: repeat(2, 1fr);
        display: grid;
        grid-gap: 1.5rem;
    }

    .portfolio__features-item {
        margin: 0;
    }



}


/***************************************************************
# Contact
***************************************************************/

.contact {}

.contact__intro {
    margin-bottom: 2em;
    max-width: 20em;
}

.contact__background {
    opacity: .05;
}

.contact__row {
    display: flex;
    flex-flow: column;
    gap: 2rem;
}

.contact__col {}

@media(min-width: 64rem) {

    .contact__row {
        flex-flow: row;
        align-items: center;
    }

    .contact__col {
        flex: 1;
    }

}

/* Social */

.social {
    display: inline-block;
    text-decoration: navajowhite;
    color: var(--primary);
    margin-top: 2em;
}

.social__icon {
    width: 2.5rem;
    height: 2.5rem;
    border: 2px solid var(--primary);
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin-right: 0.5em;
}

.social__icon svg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Form */

.form {
    background: var(--primary);
    padding: 5%;
    color: white;
    border-bottom: .5rem solid #00FFFF;
}

.form__heading {
    text-align: center;
    color: white;
}

.form label {
    display: block;
    margin-bottom: .5em;
}

.form__col {
    margin: 2rem 0;
    flex: 1;
}

@media(min-width: 72rem) {

    .form__row {
        display: flex;
        gap: 2rem;
        margin: 2rem 0;
    }

    .form__col {
        margin: 0;
    }

}

/***************************************************************
# Legal
***************************************************************/

.legal {
    background: var(--black);
    color: white;
    padding: 1rem 0;
    text-align: center;
    font-size: 0.875rem;
}

.legal a {
    text-decoration: none;
    color: inherit;
}

.legal a:hover {
    text-decoration: underline;
}

.legal__links {
    list-style-type: none;
    line-height: 1.6;
}

@media(min-width: 40rem) {

    .legal__row {
        display: flex;
        gap: 2rem;
        justify-content: space-between;
    }

    .legal__links {
        margin: 0;
    }

    .legal__links li {
        display: inline-block;
    }

    .legal__links li+li::before {
        display: inline-block;
        content: "|";
        margin: 0 .5rem;
    }

}

/*** END OF FILE ***/